@echo off
rem *******************************************************************************
rem Licensed Materials - Property of IBM
rem (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
rem 
rem Note to U.S. Government Users Restricted Rights:  
rem Use, duplication or disclosure restricted by GSA ADP Schedule 
rem Contract with IBM Corp. 
rem *******************************************************************************

set START_DIR=%~dp0

rem The following four environment variables (*_ABSPATH) are used to point to a
rem directory that contains the appropriate JDBC jar file supplied by the
rem database vendor.  Users may set these variables; if they are set, the script
rem will respect their value.  If they are unset, we look in a directory under
rem <JazzInstallDir>/server by default.  (For example, the default location for
rem the Oracle JDBC driver is under <JazzInstallDir>/server/oracle).

rem Do not use double quotes when you define your environment variable.  If
rem you're setting it from the command line, do:
rem set ORACLE_ABSPATH=c:\path name
rem not:
rem set ORACLE_ABSPATH="c:\path name"

if "%ORACLE_ABSPATH%"=="" goto :default_oracle
set ORACLE_JDBC=%ORACLE_ABSPATH%
goto :after_oracle
:default_oracle
set ORACLE_JDBC=%START_DIR%\oracle
:after_oracle

if "%SQLSERVER_ABSPATH%"=="" goto :default_sqlserver
set SQLSERVER_JDBC=%SQLSERVER_ABSPATH%
goto :after_sqlserver
:default_sqlserver
set SQLSERVER_JDBC=%START_DIR%\sqlserver
:after_sqlserver

if "%DB2I_ABSPATH%"=="" goto :default_db2i
set DB2I_JDBC=%DB2I_ABSPATH%
goto :after_db2i
:default_db2i
set DB2I_JDBC=%START_DIR%\db2i
:after_db2i

if "%DB2Z_ABSPATH%"=="" goto :default_db2z
set DB2Z_JDBC=%DB2Z_ABSPATH%
goto :after_db2z
:default_db2z
set DB2Z_JDBC=%START_DIR%\db2z
:after_db2z

set COGNOS_SDK=%START_DIR%\CognosSDK

rem Convert the current working directory
rem to a format that is valid for use in a
rem a file URL
set CUR_PATH=%cd%
set DRIVE=%cd:~0,1%
set SHORT_PATH=%~sp0%
set SHORT_PATH=%SHORT_PATH:\=/%
set PATH_URL=%DRIVE%%%3a%SHORT_PATH%

setlocal
set JAVA_OPTS=%JAVA_OPTS% -Djava.awt.headless=true
set JAVA_OPTS=%JAVA_OPTS% -DSQLSERVER_JDBC="%SQLSERVER_JDBC%"
set JAVA_OPTS=%JAVA_OPTS% -DSQLSERVER_JDBC_DRIVER_FILE="%SQLSERVER_JDBC_DRIVER_FILE%"
set JAVA_OPTS=%JAVA_OPTS% -DORACLE_JDBC="%ORACLE_JDBC%"
set JAVA_OPTS=%JAVA_OPTS% -DORACLE_JDBC_DRIVER_FILE="%ORACLE_JDBC_DRIVER_FILE%"
set JAVA_OPTS=%JAVA_OPTS% -DDB2I_JDBC="%DB2I_JDBC%"
set JAVA_OPTS=%JAVA_OPTS% -DDB2Z_JDBC="%DB2Z_JDBC%"
set JAVA_OPTS=%JAVA_OPTS% -Dorg.eclipse.emf.ecore.plugin.EcorePlugin.doNotLoadResourcesPlugin=true
set JAVA_OPTS=%JAVA_OPTS% -DJAZZ_HOME=file:///%PATH_URL%conf
set JAVA_OPTS=%JAVA_OPTS% -Dcom.ibm.team.repository.tempDir="%TEMP%"
set JAVA_OPTS=%JAVA_OPTS% -Djazz.connector.sslProtocol=SSL_TLS
set JAVA_OPTS=%JAVA_OPTS% -Djazz.connector.algorithm=IbmX509
set JAVA_OPTS=%JAVA_OPTS% -Xmx4000M
rem set JAVA_OPTS=%JAVA_OPTS% -Xgcpolicy:gencon
set JAVA_OPTS=%JAVA_OPTS% -Dlog4j.configuration=file:///%PATH_URL%conf/startup_log4j.properties

rem Unset JAVA_HOME because we really want to use the JRE that is bundled.
rem Also, Tomcat will complain if JAVA_HOME is set to a JRE instead of a JDK
rem and that should be avoided
set JAVA_HOME=

set JRE_HOME=%cd%\jre
set CATALINA_HOME=%cd%\tomcat

call "%CATALINA_HOME%"\bin\startup.bat
endlocal
